
CoCoALib - Feature #1434

GBasisByHomog for DegLex

04 Mar 2020 19:36 - Anna Maria Bigatti

Status: Closed Start date: 04 Mar 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99700 Spent time: 4.00 hours

Description

This should be easy to fix, hopefully

use QQ[x,y,z],DegLex;

L := [-x*z^2 -y +1,  -y*z^2 -z^3,  x^3 +z^2];

I:=ideal(L);GBasis(I);

radical(I);

 

subtask of #1212

Related issues:

Related to CoCoALib - Feature #1212: New function: GBasisByHomog Closed 05 Aug 2018

Related to CoCoALib - Bug #1423: Radical 0-dim NYI?  missing case for GBasisB... Closed 25 Feb 2020

History

#1 - 04 Mar 2020 19:36 - Anna Maria Bigatti

- Related to Feature #1212: New function: GBasisByHomog added

#2 - 04 Mar 2020 19:37 - Anna Maria Bigatti

- Description updated

#3 - 04 Mar 2020 20:38 - John Abbott

- Related to Bug #1423: Radical 0-dim NYI?  missing case for GBasisByHomog added

#4 - 06 Mar 2020 17:41 - Anna Maria Bigatti

- Status changed from New to Closed

- % Done changed from 0 to 100

Done.

I had some problems in finding the correct functions to make the matrix.

I'll write some notes about making the matrix for the general case.
